# Uses of Enum Class
org.apache.lucene.backward_codecs.lucene87.Lucene87StoredFieldsFormat.Mode

Packages that use Lucene87StoredFieldsFormat.Mode
Package
Description
org.apache.lucene.backward_codecs.lucene87
Lucene 8.7 file format.

- ## Uses of Lucene87StoredFieldsFormat.Mode in org.apache.lucene.backward_codecs.lucene87

  Fields in org.apache.lucene.backward_codecs.lucene87 declared as Lucene87StoredFieldsFormat.Mode
  Modifier and Type
  Field
  Description
  `protected final Lucene87StoredFieldsFormat.Mode`
  Lucene87Codec.Mode.`storedMode`
  compression mode for stored fields
  Methods in org.apache.lucene.backward_codecs.lucene87 that return Lucene87StoredFieldsFormat.Mode
  Modifier and Type
  Method
  Description
  `static Lucene87StoredFieldsFormat.Mode`
  Lucene87StoredFieldsFormat.Mode.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Lucene87StoredFieldsFormat.Mode[]`
  Lucene87StoredFieldsFormat.Mode.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructors in org.apache.lucene.backward_codecs.lucene87 with parameters of type Lucene87StoredFieldsFormat.Mode
  Modifier
  Constructor
  Description
  ``
  `Lucene87StoredFieldsFormat(Lucene87StoredFieldsFormat.Mode mode)`
  Stored fields format with specified mode